<?php
// Path to the text file to be served
$textFile = 'your-text-file.txt';

// Path to the log file where User-Agents will be saved
$logFile = 'user_agents.log';

// Serve the text file content
if (file_exists($textFile)) {
    // Set appropriate headers to serve a plain text file
    header('Content-Type: text/plain');
    header('Content-Disposition: inline; filename="' . basename($textFile) . '"');
    header('Content-Length: ' . filesize($textFile));

    // Output the text file
    readfile($textFile);
} else {
    // If the file doesn't exist, return a 404 response
    header("HTTP/1.0 404 Not Found");
    echo "File not found.";
    exit;
}

// Parse the HTTP request headers to get the User-Agent
if (isset($_SERVER['HTTP_USER_AGENT'])) {
    $userAgent = $_SERVER['HTTP_USER_AGENT'];

    // Open the log file for appending and write the User-Agent
    file_put_contents($logFile, $userAgent . PHP_EOL, FILE_APPEND | LOCK_EX);
}
?>
